> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1userfiltered



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Authentication//swagger/v1/swagger.json post /api/v1/User/filtered
openapi: 3.0.0
info:
  title: NDS.Services.Authentication
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Authentication/
security: []
paths:
  /api/v1/User/filtered:
    post:
      tags:
        - User
      operationId: User_GetUsersPOST
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUsersRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUsersResult'
components:
  schemas:
    GetUsersRequest:
      type: object
      additionalProperties: false
      properties:
        IncludeHidden:
          type: boolean
        IncludeSystem:
          type: boolean
        SearchString:
          type: string
          nullable: true
        IdentityIds:
          type: array
          nullable: true
          items:
            type: string
            format: guid
        Paging:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PagingData'
        Sorting:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SortData'
    GetUsersResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Users:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/User'
            TotalItems:
              type: integer
              format: int32
    PagingData:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: integer
          format: int32
          nullable: true
        Items:
          type: integer
          format: int32
          nullable: true
    SortData:
      type: object
      additionalProperties: false
      properties:
        SortBy:
          $ref: '#/components/schemas/SortOptions'
        Descending:
          type: boolean
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    User:
      type: object
      additionalProperties: false
      required:
        - Name
        - DisplayName
        - Email
      properties:
        UserId:
          type: string
          format: guid
        Pads4ID:
          type: string
          nullable: true
        Name:
          type: string
          maxLength: 100
          minLength: 1
        DisplayName:
          type: string
          maxLength: 50
          minLength: 1
        LanguageCode:
          type: string
          nullable: true
        Email:
          type: string
          minLength: 1
        Sid:
          type: string
          nullable: true
        FirstName:
          type: string
          nullable: true
        LastName:
          type: string
          nullable: true
        NFC:
          type: string
          nullable: true
        ExternalAuthenticationProviderId:
          type: string
          nullable: true
        LdapDomainId:
          type: string
          nullable: true
        HasAuthenticator:
          type: boolean
    SortOptions:
      type: integer
      description: ''
      x-enumNames:
        - Name
        - DisplayName
        - Email
      enum:
        - 0
        - 1
        - 2
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````